Bug 765495 - (GLUSTER-3763) Need a mechanism to get state-dump through CLI
Need a mechanism to get state-dump through CLI
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kaushal
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-10-31 01:03 EDT by Amar Tumballi
Modified: 2015-12-01 11:45 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-10-31 01:03:54 EDT
At least need details of below sections (per brick)

* Client Connections
* Memory accounting details
* Lock information
* Details of open FDs

Lets see what more we can add later once the frame work is ready.

the command can be 'gluster volume status <VOLNAME> [clients|mem-acct|lock|fd]'

It can follow the same frame work as that of 'profile info'
Comment 1 Anand Avati 2012-01-27 07:20:09 EST
CHANGE: http://review.gluster.com/2637 (cli: Extend "volume status" with statedump info) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-03-19 08:51:38 EDT
CHANGE: http://review.gluster.com/2975 (print bound_xl only once in server statedump) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 pushpesh sharma 2012-05-28 03:24:06 EDT
clients and fd information is available

[root@dhcp201-104 gluster]# gluster volume status test1 fd
FD tables for volume test1
----------------------------------------------
Brick : dhcp201-175.englab.pnq.redhat.com:/vol/test1
Connection 1:
RefCount = 0  MaxFDs = 128  FirstFree = 0
No open fds
 
Connection 2:
RefCount = 0  MaxFDs = 128  FirstFree = 0
No open fds
 
Connection 3:
RefCount = 0  MaxFDs = 128  FirstFree = 0
No open fds
 
Connection 4:
RefCount = 0  MaxFDs = 128  FirstFree = 0
No open fds
 
[root@dhcp201-104 gluster]# gluster volume status test1 clients
Client connections for volume test1
----------------------------------------------
Brick : dhcp201-175.englab.pnq.redhat.com:/vol/test1
Clients connected : 4
Hostname                                               BytesRead    BytesWritten
--------                                               ---------    ------------
10.65.201.104:1007                                           628             272
10.65.201.104:1005                                           840             460
10.65.201.104:1003                                           996             704
10.65.201.175:1022                                           996             704
----------------------------------------------


But for mem-acct lock option is not working 

[root@dhcp201-104 gluster]# gluster volume status test1 lock
lock is not a brick

[root@dhcp201-104 gluster]# gluster volume status test1 mem-acct
mem-acct is not a brick


there is no mention of volume status options in man page for gluster

build info

[root@dhcp201-104 gluster]# rpm -qa|grep gluster
glusterfs-devel-3.3.0qa43-1.el6.x86_64
glusterfs-3.3.0qa43-1.el6.x86_64
glusterfs-server-3.3.0qa43-1.el6.x86_64
glusterfs-geo-replication-3.3.0qa43-1.el6.x86_64
glusterfs-debuginfo-3.3.0qa43-1.el6.x86_64
glusterfs-fuse-3.3.0qa43-1.el6.x86_64
glusterfs-rdma-3.3.0qa43-1.el6.x86_64


this can be considered partial fix.marking as Assigned
Comment 4 Kaushal 2012-05-28 07:28:47 EDT
The command mentioned in the description is just a suggestion not the actual command.
The actual implemented command is,

gluster volume status [all | <VOLNAME> [nfs|shd|<BRICK>]] [detail|clients|mem|inode|fd|callpool]

An option to get locks info hasn't been implemented. Memory-accounting information can be obtained by using "mem" instead of "mem-acct".

The man page needs to be updated for a lot of commands not just "volume status". It would probably be better to open a new bug for that IMO. For now, a small description and syntax of all gluster commands can be found by "gluster help" command.
Comment 5 pushpesh sharma 2012-05-29 01:30:02 EDT
Based on the Comment#4 i tried using mem option for mem-accounting and found the behaviour as expected.Marking this bug as verified.

Note You need to log in before you can comment on or make changes to this bug.